<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace FiloBlu\Newsletter\Block\Widget;

use Magento\Customer\Api\CustomerMetadataInterface;
use Magento\Framework\Api\ArrayObjectSearch;
use FiloBlu\Newsletter\Helper\Data;

/**
 * Class Dob
 *
 * @SuppressWarnings(PHPMD.DepthOfInheritance)
 */
class Dob extends \Magento\Customer\Block\Widget\Dob
{

      /**
     * @param \Magento\Framework\View\Element\Template\Context $context
     * @param \Magento\Customer\Helper\Address $addressHelper
     * @param CustomerMetadataInterface $customerMetadata
     * @param \Magento\Framework\View\Element\Html\Date $dateElement
     * @param \Magento\Framework\Data\Form\FilterFactory $filterFactory
     * @param array $data
     */
    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        \Magento\Customer\Helper\Address $addressHelper,
        CustomerMetadataInterface $customerMetadata,
        \FiloBlu\Newsletter\Magento\Framework\View\Element\Html\Date $dateElementNewsletter,
        \Magento\Framework\Data\Form\FilterFactory $filterFactory,
        Data $helperData,
        array $data = []
    ) {
        $this->dateElement = $dateElementNewsletter;
        $this->_helper = $helperData;
        parent::__construct($context, $addressHelper, $customerMetadata, $dateElementNewsletter, $filterFactory, $data);
    }
    
 /**
     * @return void
     */
    public function _construct()
    {
        parent::_construct();
        $this->setTemplate('Magento_Customer::widget/dob.phtml');
    }


    /**
     * Return id
     *
     * @return string
     */
    public function getHtmlId()
    {
        return 'dob-newsletter';
    }

       /**
     * @return bool
     */
    public function isRequired()
    {
        return $this->_helper->getConfig("popup/dob_required") ?  true : false;
    }


}
